/* make a udp packet-filter */
#include "old-dpf.h"

static struct dpf_frozen_ir df[] = {
        /*      op              len     r0      r1      imm     */
        {       DPF_EQI,        2,      1,      0,      0x11}, /* 0 */
        {       DPF_BITS8I,     0,      0,      0,      0x17}, /* 1 */
        {       DPF_EQI,        2,      1,      0,      0x0}, /* 2 */
        {       DPF_BITS16I,    0,      0,      0,      0x22}, /* 3 */
        {       DPF_EQI,        2,      1,      0,      0x9919}, /* 4 */
        {       DPF_BITS16I,    0,      0,      0,      0x24}, /* 5 */
};

void *mk_udp(int *sz, int src_port, int dst_port) {
	df[2].imm = src_port;
	df[4].imm = dst_port;
        *sz = sizeof df / sizeof df[0];
        return (void *)df;
}
